Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsClient |
[frames | no frames]

## Class TwistedWordsClient

    AbstractClientMixin --+
                          |
      Jellyable --+       |
                  |       |
       Serializable --+   |
                      |   |
          Referenceable --+
                          |
                         TwistedWordsClient

In some cases, this acts as an Account, since it a source of text messages (multiple Words instances may be on a single PB connection)

Method Summary
| `__init__(self, acct, serviceName, perspectiveName, chatui, _logonDeferred)`
| `_cbGroupJoined(self, result, name)`
| `_cbGroupLeft(self, result, name)`
| `addContact(self, name)`
| `connected(self, perspective)`
| `getGroup(self, name)`
| `getGroupConversation(self, name)`
| `getPerson(self, name)`
| `joinGroup(self, name)`
| `leaveGroup(self, name)`
| `remote_memberJoined(self, member, group)`
| `remote_memberLeft(self, member, group)`
| `remote_notifyStatusChanged(self, name, status)`
| `remote_receiveContactList(self, clist)`
| `remote_receiveDirectMessage(self, name, message, metadata)`
| `remote_receiveGroupMembers(self, names, group)`
| `remote_receiveGroupMessage(self, sender, group, message, metadata)`
| `remote_setGroupMetadata(self, dict_, groupName)`
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`
Inherited from AbstractClientMixin
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)`
| ``unregisterAsAccountClient`(self)` Tell the chat UI that I have `signed off'.

Instance Variable Summary
Inherited from AbstractClientMixin
| `_logonDeferred`: Fired when I am done logging in.

Class Variable Summary
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net